<bugID>902097<Summary>begin/endBatchUpdate should only be called once per registerToolbar.</Summary><Description>Created attachment 786427
Patch

We call beginBatchUpdate and endBatchUpdate twice per legacy toolbar during the first window that is created. When endBatchUpdate is called we save out the state of the UI to the prefs.

We can remove one of these saves by keeping track of how many times that endBatchUpdate will need to be called and only save upon the last one needed.</Description></bugID>